/**
 * 
 */
package org.lekan.graphics;

import java.awt.Color;
import java.awt.Graphics;

/**
 * Holds information about a foreground color state change.
 * @author Sam Crow
 *
 */
public class SGForegroundColorChange extends SGObject {

	private Color color;
	
	/**
	 * Create a new instance that specifes a Color to change the foreground color to
	 * @param newColor the desired new foreground color
	 */
	public SGForegroundColorChange(Color newColor) {
		color = newColor;
	}

	@Override
	void paint(Graphics g) {
		SGGraphicsContext.setForegroundColor(color);
	}

}
